    Return the model expression for the background of a PHA data set.

get_bkg_source(id=None, bkg_id=None)
id - int or str, optional
bkg_id - int or str, optional

This returns the model expression created by `set_bkg_model`

or `set_bkg_source` . It does not include any instrument response.

Return the background model expression for the default data set:

>>> bkg = get_bkg_source() >>> len(bkg.pars) 2

PARAMETERS

The parameters for this function are:

Parameter
Definition
id
The data set to use. If not given then the default identifier is used, as returned by `get_default_id` .
bkg_id
Identify the background component to use, if there are multiple ones associated with the data set.

The return value from this function is:

model -- This can contain multiple model components. Changing attributes of this model changes the model used by the data set.

See the bugs pages on the Sherpa website for an up-to-date listing of known bugs.

December 2023